Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
openssl_hash.cpp File Reference
`#include <botan/hash.h>`
`#include <botan/internal/openssl.h>`
`#include <openssl/evp.h>`
`#include <unordered_map>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | MAKE_OPENSSL_HASH(fn) std::unique_ptr<HashFunction>(new OpenSSL_HashFunction(name, fn ()))

## Functions
std::unique_ptr< HashFunction > | Botan::make_openssl_hash (const std::string &name)

## Macro Definition Documentation

#define MAKE_OPENSSL_HASH | ( |  | fn | ) | std::unique_ptr<HashFunction>(new OpenSSL_HashFunction(name, fn ()))

Referenced by Botan::make_openssl_hash().

## Variable Documentation

EVP_MD_CTX m_md

Definition at line 70 of file openssl_hash.cpp.

std::string m_name

Definition at line 69 of file openssl_hash.cpp.

Referenced by Botan::XMSS_Parameters::name(), Botan::GeneralName::name(), and Botan::GOST_28147_89_Params::param_name().